## BtMachineCanvasItem BtMachineCanvasItem — class for the editor machine views machine canvas item |

## Functions

BtMachineCanvasItem * | bt_machine_canvas_item_new ()
void | bt_machine_show_properties_dialog ()
void | bt_machine_show_preferences_dialog ()
void | bt_machine_show_analyzer_dialog ()

## Properties

BtSignalAnalysisDialog * | analysis-dialog | Read
BtMachine * | machine | Read / Write / Construct Only
BtMainPageMachines * | machines-page | Read / Write / Construct Only
BtMachinePreferencesDialog * | preferences-dialog | Read
BtMachinePropertiesDialog * | properties-dialog | Read
gdouble | zoom | Read / Write

## Signals

void | position-changed | No Hooks
void | start-connect | No Hooks

## Types and Values

struct | BtMachineCanvasItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── BtMachineCanvasItem

## Implemented Interfaces

BtMachineCanvasItem implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Includes

    #include "bt-edit.h"

## Description

Provides UI to manipulate the machine state.

The canvas object emits “position-changed” signal after it has been moved.

## Functions

### bt_machine_canvas_item_new ()

    BtMachineCanvasItem *
    bt_machine_canvas_item_new (const BtMainPageMachines *main_page_machines,
                                BtMachine *machine,
                                gdouble xpos,
                                gdouble ypos,
                                gdouble zoom);

Create a new instance

#### Parameters

main_page_machines | the machine page the new item belongs to |
machine | the machine for which a canvas item should be created |
xpos | the horizontal location |
ypos | the vertical location |
zoom | the zoom ratio |

#### Returns

the new instance or `NULL` in case of an error

### bt_machine_show_properties_dialog ()

    void
    bt_machine_show_properties_dialog (BtMachine *machine);

Shows the machine properties dialog.

#### Parameters

machine | machine to show the dialog for |

Since: 0.6

### bt_machine_show_preferences_dialog ()

    void
    bt_machine_show_preferences_dialog (BtMachine *machine);

Shows the machine preferences dialog.

#### Parameters

machine | machine to show the dialog for |

Since: 0.6

### bt_machine_show_analyzer_dialog ()

    void
    bt_machine_show_analyzer_dialog (BtMachine *machine);

Shows the machine signal analysis dialog.

#### Parameters

machine | machine to show the dialog for |

Since: 0.6

## Types and Values

### struct BtMachineCanvasItem

    struct BtMachineCanvasItem;

the root window for the editor application

## Property Details

### The `“analysis-dialog”` property

      “analysis-dialog”          BtSignalAnalysisDialog *

Get the the analysis dialog if shown.

Flags: Read

### The `“machine”` property

      “machine”                  BtMachine *

Set machine object, the item belongs to.

Flags: Read / Write / Construct Only

### The `“machines-page”` property

      “machines-page”            BtMainPageMachines *

Set application object, the window belongs to.

Flags: Read / Write / Construct Only

### The `“preferences-dialog”` property

      “preferences-dialog”       BtMachinePreferencesDialog *

Get the the preferences dialog if shown.

Flags: Read

### The `“properties-dialog”` property

      “properties-dialog”        BtMachinePropertiesDialog *

Get the the properties dialog if shown.

Flags: Read

### The `“zoom”` property

      “zoom”                     gdouble

Set zoom ratio for the machine item.

Flags: Read / Write

Allowed values: [0,100]

Default value: 1

## Signal Details

### The `“position-changed”` signal

    void
    user_function (BtMachineCanvasItem *self,
                   ClutterEventType     arg1,
                   gpointer             user_data)

Signals that item has been moved around. The new position can be read from the canvas item.

#### Parameters

self | the machine-canvas-item object that emitted the signal |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks

### The `“start-connect”` signal

    void
    user_function (BtMachineCanvasItem *self,
                   gpointer             user_data)

Signals that a connect should be made starting from this machine.

#### Parameters

self | the machine-canvas-item object that emitted the signal |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks